vsf_ykd.c File Reference
`#include <config.h>`
`#include <assert.h>`
`#include <pwd.h>`
`#include <grp.h>`
`#include <sys/types.h>`
`#include <sys/poll.h>`
`#include <sys/uio.h>`
`#include <sys/mman.h>`
`#include <sys/socket.h>`
`#include <sys/un.h>`
`#include <sys/time.h>`
`#include <sys/resource.h>`
`#include <netinet/in.h>`
`#include <arpa/inet.h>`
`#include <unistd.h>`
`#include <fcntl.h>`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <errno.h>`
`#include <sched.h>`
`#include <time.h>`
`#include "quorum.h"`
`#include <corosync/logsys.h>`
`#include <corosync/corotypes.h>`
`#include <qb/qbipc_common.h>`
`#include <corosync/mar_gen.h>`
`#include <corosync/coroapi.h>`
`#include <corosync/swab.h>`
`#include "vsf_ykd.h"`
Include dependency graph for vsf_ykd.c:

Go to the source code of this file.

## Data Structures

struct | ykd_header
struct | ykd_session
struct | ykd_state
struct | state_received

## Macros

#define | YKD_PROCESSOR_COUNT_MAX 32

## Enumerations

enum | ykd_header_values { YKD_HEADER_SENDSTATE = 0 , YKD_HEADER_ATTEMPT = 1 }
enum | ykd_mode { YKD_MODE_SENDSTATE = 0 , YKD_MODE_ATTEMPT = 1 }

## Functions

| LOGSYS_DECLARE_SUBSYS ("YKD")
char * | ykd_init (struct corosync_api_v1 *corosync_api, quorum_set_quorate_fn_t set_primary)

## Variables

struct ykd_state | ykd_state
hdb_handle_t | schedwrk_attempt_send_callback_handle
hdb_handle_t | schedwrk_state_send_callback_handle
int | first_run = 1
struct corosync_tpg_group | ykd_group

## Macro Definition Documentation

## YKD_PROCESSOR_COUNT_MAX

#define YKD_PROCESSOR_COUNT_MAX 32

Definition at line 71 of file vsf_ykd.c.

## Enumeration Type Documentation

## ykd_header_values

enum ykd_header_values

Enumerator
YKD_HEADER_SENDSTATE |
YKD_HEADER_ATTEMPT |

Definition at line 73 of file vsf_ykd.c.

## ykd_mode

enum ykd_mode

Enumerator
YKD_MODE_SENDSTATE |
YKD_MODE_ATTEMPT |

Definition at line 78 of file vsf_ykd.c.

## Function Documentation

## LOGSYS_DECLARE_SUBSYS()

LOGSYS_DECLARE_SUBSYS | ( | "YKD" |  | ) |

## ykd_init()

char * ykd_init | ( | struct corosync_api_v1 * | corosync_api,
|  | quorum_set_quorate_fn_t | set_primary )

Definition at line 511 of file vsf_ykd.c.

References ykd_group.

## Variable Documentation

## first_run

int first_run = 1

Definition at line 456 of file vsf_ykd.c.

## schedwrk_attempt_send_callback_handle

hdb_handle_t schedwrk_attempt_send_callback_handle

Definition at line 143 of file vsf_ykd.c.

## schedwrk_state_send_callback_handle

hdb_handle_t schedwrk_state_send_callback_handle

Definition at line 145 of file vsf_ykd.c.

## ykd_group

struct corosync_tpg_group ykd_group

Initial value:
= {
.group = "ykd",
.group_len = 3
}

Definition at line 506 of file vsf_ykd.c.

Referenced by ykd_init().

## ykd_state

struct ykd_state ykd_state

Definition at line 113 of file vsf_ykd.c.